HashSumEventStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.ml.model

## Class HashSumEventStream

- java.lang.Object
- - opennlp.tools.util.AbstractObjectStream<Event>
  - - opennlp.tools.ml.model.HashSumEventStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<Event>

      public class HashSumEventStream
      extends AbstractObjectStream<Event>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashSumEventStream(ObjectStream<Event> eventStream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `calculateHashSum()` Calculates the hash sum of the stream.
    `Event` | `read()` Returns the next object.
    `void` | `remove()`

    - ### Methods inherited from class opennlp.tools.util.AbstractObjectStream

      `close, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HashSumEventStream

          public HashSumEventStream(ObjectStream<Event> eventStream)

  - ### Method Detail

    - #### read

          public Event read()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Specified by:
        `read` in interface `ObjectStream<Event>`
      Overrides:
        `read` in class `AbstractObjectStream<Event>`
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

    - #### calculateHashSum

          public BigInteger calculateHashSum()

      Calculates the hash sum of the stream. The method must be called after the stream is completely consumed.
      Returns:
        the hash sum
      Throws:
        `IllegalStateException` - if the stream is not consumed completely, completely means that hasNext() returns false

    - #### remove

          public void remove()

Copyright © 2026 The Apache Software Foundation. All rights reserved.